Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(1583)

Unified Diff: android/patch_locale.sh

Issue 1624643003: ICU 56 step 2: Make the tree ready for local modifications (Closed) Base URL: https://chromium.googlesource.com/chromium/deps/icu.git@561upstream
Patch Set: review comments addressed Created 4 years, 11 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | scripts/trim_data.sh » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: android/patch_locale.sh
diff --git a/android/patch_locale.sh b/android/patch_locale.sh
index 85ca6b943ccb8bca1a3f8dcd9466f634b28d57b1..5f6c2aa6ceb765d14cf51f00e607eb9eb9cac313 100755
--- a/android/patch_locale.sh
+++ b/android/patch_locale.sh
@@ -3,23 +3,24 @@
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.
+treeroot="$(dirname "$0")/.."
+cd "${treeroot}"
+
+echo "Applying brkitr.patch"
+patch -p1 < android/brkitr.patch || { echo "failed to patch" >2; exit 1; }
+
# Keep only the currencies used by the larget 60 economies in terms of GDP
# with several more added in.
# TODO(jshin): Use ucurr_isAvailable in ICU to drop more currencies.
# See also http://en.wikipedia.org/wiki/List_of_circulating_currencies
# Copied from scripts/trim_data.sh. Need to refactor.
-for currency in $(grep -v '^#' currencies.list)
+for currency in $(grep -v '^#' "${treeroot}/android/currencies.list")
do
OP=${KEEPLIST:+|}
KEEPLIST=${KEEPLIST}${OP}${currency}
done
KEEPLIST="(${KEEPLIST})"
-cd "$(dirname "$0")/.."
-
-echo "Applying brkitr.patch"
-patch -p1 < android/brkitr.patch || { echo "failed to patch"; exit 1; }
-
cd source/data
for i in curr/*.txt
« no previous file with comments | « no previous file | scripts/trim_data.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698